Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 15018)
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected DataRow(bool deserializing) : base(deserializing) { }
+    protected DataRow(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DataRow(DataRow original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 15018)
@@ -268,5 +268,5 @@
 
     [StorableConstructor]
-    protected DataRowVisualProperties(bool deserializing) : base() { }
+    protected DataRowVisualProperties(StorableConstructorFlag deserializing) : base() { }
     protected DataRowVisualProperties(DataRowVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 15018)
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected DataTable(bool deserializing) : base(deserializing) { }
+    protected DataTable(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DataTable(DataTable original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected DataTableHistory(bool deserializing) : base(deserializing) { }
+    protected DataTableHistory(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DataTableHistory(DataTableHistory original, Cloner cloner) : base(original, cloner) { }
     public DataTableHistory() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 15018)
@@ -50,5 +50,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected DataTableValuesCollector(bool deserializing) : base(deserializing) { }
+    protected DataTableValuesCollector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DataTableValuesCollector(DataTableValuesCollector original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 15018)
@@ -504,5 +504,5 @@
 
     [StorableConstructor]
-    protected DataTableVisualProperties(bool deserializing) : base() { }
+    protected DataTableVisualProperties(StorableConstructorFlag deserializing) : base() { }
     protected DataTableVisualProperties(DataTableVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/GanttData.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/GanttData.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/GanttData.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected GanttData(bool deserializing) : base(deserializing) { }
+    protected GanttData(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GanttData(GanttData original, Cloner cloner)
       : base(original, cloner) {
@@ -77,5 +77,5 @@
 
     [StorableConstructor]
-    protected GanttRow(bool deserializing) : base(deserializing) { }
+    protected GanttRow(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GanttRow(GanttRow original, Cloner cloner)
       : base(original, cloner) {
@@ -158,5 +158,5 @@
 
     [StorableConstructor]
-    protected GanttItem(bool deserializing) : base(deserializing) { }
+    protected GanttItem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GanttItem(GanttItem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 15018)
@@ -88,5 +88,5 @@
 
     [StorableConstructor]
-    protected HeatMap(bool deserializing) : base(deserializing) { }
+    protected HeatMap(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected HeatMap(HeatMap original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected HeatMapHistory(bool deserializing) : base(deserializing) { }
+    protected HeatMapHistory(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected HeatMapHistory(HeatMapHistory original, Cloner cloner) : base(original, cloner) { }
     public HeatMapHistory() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataRow.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataRow.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataRow.cs	(revision 15018)
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    protected IndexedDataRow(bool deserializing) : base(deserializing) { }
+    protected IndexedDataRow(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected IndexedDataRow(IndexedDataRow<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataTable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataTable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataTable.cs	(revision 15018)
@@ -75,5 +75,5 @@
 
     [StorableConstructor]
-    protected IndexedDataTable(bool deserializing) : base(deserializing) { }
+    protected IndexedDataTable(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected IndexedDataTable(IndexedDataTable<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 15018)
@@ -80,5 +80,5 @@
 
     [StorableConstructor]
-    protected ScatterPlot(bool deserializing) : base(deserializing) { }
+    protected ScatterPlot(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScatterPlot(ScatterPlot original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 15018)
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotDataRow(bool deserializing) : base(deserializing) { }
+    protected ScatterPlotDataRow(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScatterPlotDataRow(ScatterPlotDataRow original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 15018)
@@ -208,5 +208,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotDataRowVisualProperties(bool deserializing) : base() { }
+    protected ScatterPlotDataRowVisualProperties(StorableConstructorFlag deserializing) : base() { }
     protected ScatterPlotDataRowVisualProperties(ScatterPlotDataRowVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotHistory(bool deserializing) : base(deserializing) { }
+    protected ScatterPlotHistory(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScatterPlotHistory(ScatterPlotHistory original, Cloner cloner) : base(original, cloner) { }
     public ScatterPlotHistory() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 15018)
@@ -310,5 +310,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotVisualProperties(bool deserializing) : base() { }
+    protected ScatterPlotVisualProperties(StorableConstructorFlag deserializing) : base() { }
     protected ScatterPlotVisualProperties(ScatterPlotVisualProperties original, Cloner cloner)
       : base(original, cloner) {
